@import 'reset.less';
@import 'fonts.less';
@import "variablesGlobal.less";

// PAGE FORMAT
// @page-width: 120mm;
// @page-height: 176mm;
// @page-bleed: 5mm; // fond perdu

// @page-A3-width: 297mm;
// @page-A3-height: 420mm;
// @page-A3-bleed: 5mm;
//
// @page-portail-width: 800mm;
// @page-portail-height: 120mm;
// @page-portail-bleed: 50mm;
//
// @page-ecran-bus-width: 944px * 4;
// @page-ecran-bus-height: 640px * 4;
// @page-ecran-bus-bleed: 50px;
//
// @page-40x60-width: 400mm;
// @page-40x60-height: 600mm;
// @page-40x60-bleed: 5mm;
//
// @page-80x120-width: 800mm;
// @page-80x120-height: 120mm;
// @page-80x120-bleed: 5mm;
//
// @page-flyers-width: 105mm;
// @page-flyers-height: 148mm;
// @page-flyers-bleed: 5mm;
//


// MARGIN & GRID
@crop-size: @page-bleed / 2;
@edge: @page-bleed;
@margin: 50mm;
@margin-interior: 5mm;
@margin-top: 5mm;
@margin-bottom: 5mm;


// COLOR GUI
@page-background: white;
@page-outline: 1px solid blue;
@page-outer-outline: 1px solid red;

//
body {
  background: #E1E1E1 ;
}

.page-inside {
  background: @page-background;
  width: @page-width;
  height: @page-height;
  position: absolute;
}

.page {
  z-index: 1;
  transform-origin: 0 0;
  // background: @page-background;
  width: @page-width;
  height: @page-height;
  padding: @page-bleed;

  overflow: hidden;
  background-image:
    -webkit-linear-gradient(90deg, black 0, black 100%),
    -webkit-linear-gradient(0deg, black 0, black 100%),
    -webkit-linear-gradient(90deg, black 0, black 100%),
    -webkit-linear-gradient(0deg, black 0, black 100%),
    -webkit-linear-gradient(90deg, black 0, black 100%),
    -webkit-linear-gradient(0deg, black 0, black 100%),
    -webkit-linear-gradient(90deg, black 0, black 100%),
    -webkit-linear-gradient(0deg, black 0, black 100%)
  ;
  background-size:
    @crop-size 1px,
    1px @crop-size,
    @crop-size 1px,
    1px @crop-size,
    @crop-size 1px,
    1px @crop-size,
    @crop-size 1px,
    1px @crop-size
  ;
  background-position:
    left @edge,
    @edge top,
    right @edge,
    (@page-width + (@page-bleed *2) - @edge) top,
    right (@page-height + (@page-bleed *2)  - @edge),
    (@page-width + (@page-bleed *2)  - @edge) bottom,
    left (@page-height + (@page-bleed *2) - @edge),
    @edge bottom
  ;
  background-repeat: no-repeat;
}


// TOOL BAR

@page {
    size: (@page-width + (@page-bleed * 2)) (@page-height + (@page-bleed * 2));
    margin: 0;
    padding: 0;
}

@media screen {
  .page-inside {
    outline: @page-outline;
  }
  .page {
    outline: @page-outer-outline;
    margin: 12pt;
    // background: white;
  }
  .page-inside.preview {
    outline: none;
    background-image: none;
    background-size: none;
    background-position: none;
    overflow: hidden !important;
  }
  .page.preview {
    outline: none;
    background: none;
  }
  #tools {
    z-index: 2;
    width: 200px;
    right: 0;
    position: fixed;
    border-left: grey 1px solid;
    border-top: grey 1px solid;
    height: 100%; 
    background: white;
    li {
      margin: 10px 0;
      input {
        cursor: pointer;
        background: white;
        border: none;
      }
      input.select {
        background: black;
        color: white;
      }
    }
  }
  .content {
    z-index: 1;
  }

}

@media print {
    html { width: @page-width; }
    body {
      background-color: transparent;
      -webkit-print-color-adjust: exact;
              print-color-adjust: exact;
      padding: 0;
      margin: 0;
    }
    .page {
      // background: 'white';
      transform: scale(1) !important;
    }
    #tools {
      display: none;
    }

    .mjson, .mjson2 {

    }
}

@import 'hints.less';
@import 'mj.less';
